//
// Created by Иван_Архипов on 24.11.2017.
//

#ifndef LOTRO_DAT_LIBRARY_WAVSUBFILE_H
#define LOTRO_DAT_LIBRARY_WAVSUBFILE_H

#include "../SubFile.h"

namespace LOTRO_DAT {
    class WavSubFile : public SubFile {
    public:
        WavSubFile() = delete;
        explicit WavSubFile(const WavSubFile &other) = delete;
        WavSubFile &operator =(const WavSubFile &other) = delete;

        explicit WavSubFile(SubFile preinit_file);


        FILE_TYPE FileType() const override;

        std::string Extension() const override;

        SubfileData PrepareForExport(const BinaryData &file_data) override;

        BinaryData MakeForImport(const BinaryData &old_data, const SubfileData &data) override;

    };
};


#endif //LOTRO_DAT_LIBRARY_WAVSUBFILE_H
